%define name LinPopUp
%define version 1.2.0
%define release 1mdk
%define prefix %_prefix

Summary: Linux enhanced port of winpopup
Name: %name
Version: %version
Release: %release
Icon: linpopup.gif
License: GPL
Group: Networking/Other
Source: %{name}-%{version}.src.tar.bz2
Source1: %{name}-16x16.xpm.bz2
Source2: %{name}-32x32.xpm.bz2
Source3: %{name}-48x48.xpm.bz2
URL: http://www.littleigloo.org
Prefix: %prefix
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: samba
BuildRequires: gtk+-devel

%description
LinPopUp is a Xwindow graphical port of Winpopup,
running over Samba. It permits to communicate with a
windows computer that runs Winpopup, sending or 
receiving message. (It also provides an alternative way
to communicate between Linux computers that run Samba).
Please note that LinPopUp is not only a port, as it includes
several enhanced features. Also note that it requires to
have Samba installed to be fully functionnal. 
Check http://www.littleigloo.org for last RPM packages.

To make this program work you have to add this line to your samba smb.conf
in the [global] section:

message command = %{_bindir}/LinPopUp "%%f" "%%m" %%s; rm %%s

%prep
%setup -q

%build
cd src
%make DESTDIR=%{prefix} DATA_DIR=/var/lib/linpopup

%install
rm -rf $RPM_BUILD_ROOT
cd src
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%makeinstall DESTDIR=$RPM_BUILD_ROOT%{prefix}  DATA_DIR=$RPM_BUILD_ROOT/var/lib/linpopup INSTALL_MANPATH=$RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT/var/lib/linpopup
#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
command="%{_bindir}/LinPopUp" \
icon="%{name}.xpm" \
needs="X11" \
section="Networking/Other" \
title="LinPopUp" \
longtitle="A Linux enhanced port of winpopup"

EOF

#icons
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/lib/linpopup/messages.dat ]; then
    touch /var/lib/linpopup/messages.dat;
    chmod 0666 /var/lib/linpopup/messages.dat;
    chgrp nobody /var/lib/linpopup/messages.dat;
else :; fi;  
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS THANKS BUGS INSTALL TODO COPYING README MANUAL ChangeLog screenshots
%{_bindir}/LinPopUp
%{_bindir}/linpopup
%{_mandir}/man1/LinPopUp.1*
%{_mandir}/man1/linpopup.1*
%{_datadir}/LinPopUp
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%dir /var/lib/linpopup
%changelog
* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- added by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
